%set_verify_elf_method textrel=relaxed

%define	plugindir	/usr/lib/vdr
%define datadir		/var/lib/vdr
%define	videodir	/var/lib/vdr/video
%define	configdir	/var/lib/vdr/config
%define	startdir	/var/lib/vdr/config/start

Name: vdr
Version: 1.3.15
Release: alt1

Summary: Digital satellite receiver box with advanced features
Summary(ru_RU.UTF-8): Цифровой спутниковый приёмник с широкими возможностями
License: GPL
Group: Video
URL: http://www.cadsoft.de/vdr/download.htm
Source0: %name-%version.tar.bz2
#Patch0: russian-vdr-%version.diff
Patch1: russian-vdr-sky-digibox.diff
# CAM plugin
Patch2: vdr-1.3.10-sc.diff
Patch3: vdr-1.3.10-epgfix.diff
Patch4: vdr-1.3.1-softcsa-0.0.8.diff
# Rotor plugin
Patch5: vdr-1.3.3-GotoX.diff
Patch6: russian-GotoX.diff
# Subtitles plugin
Patch7: vdr-1.3.14-subtitles-0.3.4-and-ttxtsubs-0.0.5.diff
# VDR Enchancements
Patch8: vdr-1.3.12-preferlang.diff
Patch9: vdr-1.3.15-enAIO-1.4.diff
# http://home.vrweb.de/~rnissl/
Patch10: vdr-1.3.14-HDTV.diff
Patch11: vdr-1.3.14-transfer.diff
Patch12: vdr-1.3.14-replay.diff
#
Patch13: patch-keymacros-for-hidden-plugins.diff
Patch14: monoch.diff
# Prefermenu hotkey
Patch15: keymacros-prefermenu.diff

BuildPreReq: kernel-headers-dvb 
BuildRequires: gcc-c++ libjpeg-devel libncurses-devel libstdc++-devel libtinfo-devel
Obsoletes: vdr-schemes vdr-logos

%description
VDR, Video Disc Recorder, enables you to build a powerful set-top box on your own using Linux 
and a DVB card. It incorporates basic features, such as watching TV, recording 
and time-shifting, plus advanced features, including MP3/Ogg playback, playback of all video 
formats supported by MPlayer and backup of the recorded material to MPEG-4, video CD or DVD. 
A commercial set-top box hardly stands a chance against this feature list.

%description -l ru_RU.UTF-8
VDR позволяет превратить компьютер с Linux и DVB картой в приёмник цифрового ТВ и Радио с
широкими возможностями. Помимо базовых функций, таких как просмотр ТВ, запись и сдвиг
принимаемой программы во времени, VDR позволяет проигрывать музыку в формате MP3/Ogg и любые
видеоформаты, поддерживаемые MPlayer, а также сохранять сделанные записи на CD или DVD. 
Немногие бытовые приёмники на рынке способны сравниться с VDR по своим возможностям.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p1

# User defined Makefile options for the Video Disk Recorder
echo 'DVBDIR   = %_includedir/dvb
MANDIR   = %_mandir
BINDIR   = %_bindir
PLUGINDIR= ./PLUGINS
PLUGINLIBDIR= $(PLUGINDIR)/lib
VIDEODIR = %videodir
CONFIGDIR = %configdir' > Make.config 

%build
%make REMOTE=LIRC HDTV_SUPPORT=1
%make plugins

%install
%__install -d %buildroot%_bindir
%__install vdr %buildroot%_bindir
%__install -d %buildroot%_man1dir
%__install -d %buildroot%_man5dir
%__gzip -c vdr.1 > %buildroot%_man1dir/vdr.1.gz
%__gzip -c vdr.5 > %buildroot%_man5dir/vdr.5.gz
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/*sky* %buildroot%plugindir
%__install -d %buildroot%videodir
%__install -d %buildroot%configdir
%__install -m644 keymacros.conf %buildroot%configdir
%__install -m644 sources.conf %buildroot%configdir
%__install -m644 svdrphosts.conf %buildroot%configdir
%__install -d %buildroot%configdir/plugins
%__install -d %buildroot%configdir/logos
%__install -d %buildroot%configdir/schemes
%__install -d %buildroot%startdir
#run script
echo '#!/bin/sh
# runvdr: Runs VDR as non-root user
# 
# The DVB driver should be loaded automatically.
#
# Any command line parameters will be passed on to the
# actual "vdr" program.
#
# See the main source file "vdr.c" for copyright information and
# how to reach the author.

if ! [ -z $(locale | grep ru_RU) ]; then
    export LC_ALL=ru_RU.ISO8859-5
fi

VDRPRG="%_bindir/vdr"
PLGDIR="%plugindir"
VIDEODIR="%videodir"
CONFIGDIR="%configdir"
STARTDIR="%startdir"

VDRCMD="$VDRPRG -c $CONFIGDIR -v $VIDEODIR -L $PLGDIR"
PLGLST="`ls $PLGDIR | sed -e s/libvdr\-// -e s/\.so.*//`"

for i in $PLGLST; do
    if [ -f "$STARTDIR/$i" ]; then
	VDRCMD="$VDRCMD	-P \"$i `cat \"$STARTDIR/$i\"`\""
    else
	VDRCMD="$VDRCMD	-P $i"
    fi
done

killall -q $VDRPRG
eval $VDRCMD $*' > %buildroot%_bindir/runvdr

# devel part
%__install -d %buildroot%_includedir/%name
%__install -m644 Makefile %buildroot%_includedir/%name
%__install -m644 Make.config %buildroot%_includedir/%name
%__install -m644 *.h %buildroot%_includedir/%name
%__install -m644 *.c %buildroot%_includedir/%name
%__install -d %buildroot%_includedir/%name/libsi
%__install -m644 libsi/*.h %buildroot%_includedir/%name/libsi
%__install -m644 libsi/*.c %buildroot%_includedir/%name/libsi

%package devel
Summary: Files required for building plugins for VDR
Summary(ru_RU.UTF-8): Файлы необходимые для сборки модулей расширения VDR
Group: Development/Other
Requires: %name

%description devel
A set of files required for building plugins for VDR

%description devel -l ru_RU.UTF-8
Пакет содержит набор файлов необходимых для сборки модулей расширения VDR.

%files
%_bindir/* %attr(755,root,root)
%_man1dir/*
%_man5dir/*
%plugindir
%dir %datadir %attr(755,root,root) %config
%dir %videodir %attr(777,root,root) %config
%dir %configdir %attr(777,root,root) %config
%configdir/*.conf %attr(666,root,root) %config
%dir %configdir/plugins %attr(777,root,root) %config
%dir %configdir/logos %attr(777,root,root) %config
%dir %configdir/schemes %attr(777,root,root) %config
%dir %startdir %attr(755,root,root) %config
%doc CONTRIBUTORS HISTORY* INSTALL MANUAL PLUGINS.html README* UPDATE-1.2.0 *.conf *.conf.*

%files devel
%_includedir/%name

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.15-alt1
- 1.3.15

* Tue Oct 19 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.14-alt1
- 1.3.14 

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.12-alt2
- Rebuild

* Tue Oct 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.12-alt1
- 1.3.12

* Sun Apr 04 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.6-alt3
- techpatch substituted by femon module

* Mon Mar 22 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.6-alt2
- subtitles plugin support patch

* Sun Mar 21 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Wed Mar 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.5-alt2
- configdir patch and runvdr script update

* Wed Mar 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.5-alt1
- 1.3.5, ElchiAIO 4d

* Sat Feb 28 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.4-alt2
- ElchiAIO patch 4c

* Tue Feb 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.3.4-alt1
- 1.3.4, Translation update, tweaks and fixes

* Fri Jan 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.2.6-alt1
- Initial build
